package org.start.command;

import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabCompleter;

import java.util.ArrayList;
import java.util.List;

public class commandTab implements TabCompleter {

    @Override
    public List<String> onTabComplete(CommandSender sender, Command command, String label, String[] args) {
        List<String> completions = new ArrayList<>();

        // 玩家输入第一个参数时（如 "/war "），自动补全 "join", "stop", "help"
        if (args.length == 1) {
            if ("join".startsWith(args[0])) completions.add("join");
            if ("stop".startsWith(args[0])) completions.add("stop");
            if ("help".startsWith(args[0])) completions.add("help");
        }

        // 玩家输入 "war join" 后（即第二个参数），自动补全队伍名称，如 "red" 和 "blue"
        if (args.length == 2 && args[0].equalsIgnoreCase("join")) {
            if ("red".startsWith(args[1])) completions.add("red");
            if ("blue".startsWith(args[1])) completions.add("blue");
        }

        return completions;
    }
}

